<?php

namespace DistributeHelper;

use Composer\Script\Event;
use Composer\Installer\PackageEvent;
use DistributeHelper\PackageClass;
error_reporting(E_ALL & ~E_NOTICE);

class HelperClass
{
    public static function postUpdate(Event $event)
    {
		$composer = $event->getComposer();
        $vendorDir = $composer->getConfig()->get('vendor-dir');
		$rootPkg  = $composer->getPackage();
		$vendorPkgs = $composer->getRepositoryManager()->getLocalRepository()->getPackages();
		if( PackageClass::postUpdate($vendorDir,$rootPkg,$vendorPkgs) )
			print("[INF] FINISH OK");
		else
			print("[ERR] FINISH FAIL");
    }

    public static function postAutoloadDump(Event $event)
    {
        $vendorDir = $event->getComposer()->getConfig()->get('vendor-dir');
        require $vendorDir . '/autoload.php';
        some_function_from_an_autoloaded_file();
    }

    public static function postPackageInstall(PackageEvent $event)
    {
    }

    public static function postPackageUpdate(PackageEvent $event)
    {
    }
}